Attribute VB_Name = "Module2"
Option Base 0
Option Explicit

Global TopDesc As Long

Global Const QCWINH = 1
Global Const M_PI = 3.14159265358979
Global Const LengthOfData = 8

' ways of creating page window

Global Const PAGE_CLIENT = 0                '  fill parent window client area
Global Const PAGE_FULL = 1              '  fill the whole screen
Global Const PAGE_EXACT = 2              '  use passed coordinates

' Page Window scaling types - fixed and proportionate
Global Const MM_FIXED = 7
Global Const mm_proport = 8
Global Const MM_ISOTR = 9
Global Const MM_PROPORT_FT = 10           ' proportionate with fixed text size
Global Const MM_ISOTR_FT = 11             ' isotropic with fixed text size


' coordinate types
Global Const CO_LOG = 0
Global Const CO_PHYS = 1
Global Const CO_NORM = 2
Global Const CO_DEV = 3

' Point search constants

Global Const FNP_X = 0   ' nearest x
Global Const FNP_Y = 1   ' nearest y
Global Const FNP_DIST = 2 ' shortest distance

'  printing styles

Global Const PRT_FULL = 0         '  Pages and graphs are printed so that paper
'                             is used maximally. Text is printed
'                             proportionately to other objects
Global Const PRT_PROP = 1         '  Pages are printed so that paper
'                             is used maximally. Graphs are printed
'                             proportionately to page size.
'                             Text is printed proportionately to other objects

Global Const PRT_EXACT = 2    '  physical size, font size in points are preserved

' ************************************************************************
'  Graphical objects
' ************************************************************************

Global Const GO_PLOT = 1                  '  can be line, bars, scat, etc
Global Const GO_GROUP = 2                 '  can be stacked lines, bars
Global Const GO_LEGEND = 3
Global Const GO_LINE = 4                  '  Straight line
Global Const GO_ARROW = 5                 '  Straight line with arrow
Global Const GO_LAST1 = 9
Global Const GO_AX = 10
Global Const GO_LABELS = 11
Global Const GO_TEXT = 12
Global Const GO_ARC = 13
Global Const GO_RECT = 14
Global Const GO_LAST2 = 19

' ***********************************************************

Global Const GO_PIECHART = 20
Global Const GO_METAFILE = 21
Global Const GO_ELLIPSE = 22
Global Const GO_BITMAP = 23
Global Const GO_POLYGON = 24
Global Const GO_PIE = 25
Global Const GOS_MAX = 50         ' max value of statical graphical object
Global Const GO_USER = 1000
            
'  Line types - subtype field

Global Const LT_LINE = 3
Global Const LT_LINEMARK = 4
Global Const LT_SCAT = 5
Global Const LT_VBAR = 6
Global Const LT_HBAR = 7
Global Const LT_3DVBAR = 8
Global Const LT_3DHBAR = 9

'  types of group plots

Global Const GT_GROUPBARS = 0
Global Const GT_DEEPBARS = 1
Global Const GT_STACKEDBARS = 2
Global Const GT_FLOATBARS = 3
Global Const GT_STACKEDLINES = 5
Global Const GT_HILOCLOSE = 6
Global Const GT_ERRORBARS = 7


' data cursor types

Global Const DC_VLINE = 0   ' vertical line
Global Const DC_HLINE = 1   ' horizontal line
Global Const DC_CROSS = 2   ' crosshair
Global Const DC_BOX = 3     ' square

' zoom flag
Global Const ZOOMF_OFF = 0

' button messages
Global Const WM_LBUTTONUP = &H202
Global Const WM_MBUTTONUP = &H208
Global Const WM_RBUTTONUP = &H205

Global Const WM_RBUTTONDOWN = &H204
Global Const WM_RBUTTONDBLCLK = &H206
Global Const WM_MBUTTONDOWN = &H207



' data cursor styles
Global Const DCS_MOVE = 0    ' cursor is moved with mouse movement
Global Const DCS_LBUTTONDOWN = WM_LBUTTONUP
Global Const DCS_MBUTTONDOWN = WM_MBUTTONUP
Global Const DCS_RBUTTONDOWN = WM_RBUTTONUP

Global Const ARROW_START = 1
Global Const ARROW_END = 2
Global Const ARROW_BOTH = 3

'  data reduction types

Global Const DC_SKIP = 0
Global Const DC_AVERAGE = 1
Global Const DC_MAX = 2
Global Const DC_MIN = 3

'  bitmap display modes

Global Const BM_ORIG = 0
Global Const BM_STRETCH = 1

'  COLOR CODES
Global Const C_RGB = -2              ' for RGB colors
Global Const C_TRANSPARENT = -1
Global Const C_BLACK = 0
Global Const C_BLUE = 1
Global Const C_GREEN = 2
Global Const C_CYAN = 3
Global Const C_RED = 4
Global Const C_MAGENTA = 5
Global Const C_BROWN = 6
Global Const C_LIGHTGRAY = 7
Global Const C_GRAY = 8
Global Const C_LIGHTBLUE = 9
Global Const C_LIGHTGREEN = 10
Global Const C_LIGHTCYAN = 11
Global Const C_LIGHTRED = 12
Global Const C_LIGHTMAGENTA = 13
Global Const C_YELLOW = 14
Global Const C_WHITE = 15
Global Const C_PALEBLUE = 16
Global Const C_PALEGREEN = 17
Global Const C_MEDGRAY = 18
Global Const C_OFFWHITE = 19
Global Const NUMCOLS = 20

' ************************************************************************
'  Axis scaling types

Global Const ST_LINEAR = 0
Global Const ST_LOG = 1

' ************************************************************************
'  Grid types

Global Const GRID_MAJOR = 0
Global Const GRID_MINOR = 1
Global Const GRID_ALL = 2

' ************************************************************************
'  Tick mark, bar, etc. position definitions:

Global Const POS_BELOW = 0
Global Const POS_INSIDE = POS_BELOW
Global Const POS_LEFT = 1
Global Const POS_RIGHT = 2
Global Const POS_MIDDLE = 3
Global Const POS_ABOVE = 4
Global Const POS_OUTSIDE = POS_ABOVE
Global Const POS_INVISIBLE = 5
Global Const POS_BELOW_PLOT = 6
Global Const POS_ABOVE_PLOT = 7
Global Const POS_LEFT_PLOT = 8
Global Const POS_RIGHT_PLOT = 9

Global Const TEXT_NORMAL = 0
Global Const TEXT_VERTLEFT = 900
Global Const TEXT_VERTRIGHT = 2700
Global Const TEXT_BOLD = 1                 '  can be ORed with each other
Global Const TEXT_ITAL = 2
Global Const TEXT_UNDERLINE = 4

' *********************************************************************
'  last label indicators:

Global Const LL_ON = 0
Global Const LL_OFF = 1
Global Const LL_TEXT = 2

Global Const LABELLEN = 42        '  maximal length of string label
Global Const LG_MAXLEN = 42        ' maximal legend length

' *********************************************************************
'  Pie Chart Constants

Global Const PIE_NUM_NONE = 0
Global Const PIE_NUM_PERC = 1
Global Const PIE_NUM_VAL = 2
Global Const PIE_NUM_BOTH = 3
Global Const PIE_IN = 0
Global Const PIE_OUT = 1
Global Const PIE_2D = 10
Global Const PIE_3D = 11

' *********************************************************************
'  Numbers formats:

Global Const NF_DECIMAL = 0
Global Const NF_SCIENTIFIC = 1
Global Const NF_ENG = 2
Global Const NF_EXP = 3
Global Const NF_TIMEF = 4
Global Const NF_G = 5

Global Const TM_HMS = 1         ' time format, hh:mm:ss. Prec ignored
Global Const TM_HM = 2                  ' time format, hh:mm
Global Const TM_MS = 4

' **********************************************************************
'  Intercept flags for auto axes.

Global Const INTF_ZERO = 0           '  use 0 for intercepts
Global Const INTF_MIN = 1            '  minimal values for both axes
Global Const INTF_MAX = 2            '  maximal values for both axes
Global Const INTF_MINMAX = 3         '  min Y intercept for axis X, max for Y
Global Const INTF_MAXMIN = 4         '  max for X, min for Y

' **********************************************************************
'  Symbols (markers) types:

Global Const MK_NONE = 0
Global Const MK_X = 1
Global Const MK_UPTRIANGLE = 2
Global Const MK_DOWNTRIANGLE = 3
Global Const MK_BOX = 4
Global Const MK_PLUS = 5
Global Const MK_ASTERISK = 6
Global Const MK_DIAMOND = 7
Global Const MK_CIRCLE = 8
Global Const MK_DOT = 9

' *******************************************************************
'  Marker and bar styles

Global Const MKS_FILLED = 0
Global Const MKS_EMPTY = 1
Global Const MKS_CDOT = 2

Global Const BAR_FULL = 0
Global Const BAR_HOLLOW = 1
Global Const BAR_BORDER = 2

' **********************************************************************
'  Autoscaling parameters:

Global Const AS_ROUNDCLOSE = 1
Global Const AS_ROUNDFAR = 2

' ********************************************************************
'  DSP constants (windows types)

Global Const DSPWIN_RECTANG = 0
Global Const DSPWIN_PARZEN = 1
Global Const DSPWIN_HANNING = 2
Global Const DSPWIN_WELCH = 3
Global Const DSPWIN_HAMMING = 4
Global Const DSPWIN_EXACTB = 5

' *************************************************************************
'  orientation constants

Global Const OR_VERT = 0
Global Const OR_HORZ = 1


'***************************************************************************/
' raised rectangle constants
Global Const RC_FLAT = 0          ' regular
Global Const RC_HIGH = 1
Global Const RC_DEEP = 2
Global Const RC_LOW = 3
Global Const RC_SHALLOW = 4
Global Const RC_3DBORDER = 5


'***************************************************************************/
'  Metafile types

Global Const MF_WIN = 0     ' Old Windows metafile
Global Const MF_PL = 1      ' Placeable Aldus metafile
Global Const MF_ENH = 2     ' New enhanced Windows metafile


Global Const HS_HORIZONTAL = 0
Global Const HS_VERTICAL = 1
Global Const HS_FDIAGONAL = 2
Global Const HS_BDIAGONAL = 3
Global Const HS_CROSS = 4
Global Const HS_DIAGCROSS = 5



Global Const AXU_SEC = 0          ' time units codes for time axes
Global Const AXU_MIN = 1
Global Const AXU_HOUR = 2

' staircase style

Global Const NO_STEP = 0
Global Const STEP_START = 1
Global Const STEP_END = 2

              ' alarm types
Global Const ALM_OK = 0
Global Const ALM_SETP = 0
Global Const ALM_HIGH = 1
Global Const ALM_LOW = 2
Global Const ALM_HH = 3
Global Const ALM_LL = 4
Global Const ALM_RATE = 5
Global Const ALM_DEV = 6
Global Const ALM_FAIL = 7

' meter subtypes
Global Const GOD_SUBT_NEEDLE = 0         ' needle meter
Global Const GOD_SUBT_PIE = 1            ' pie meter
Global Const GOD_SUBT_ARC = 2            ' arc meter

'********************************************************************
' Direction definitions
'********************************************************************

Global Const DYN_LEFT = 0         ' scroll or move from right to left
Global Const DYN_RIGHT = 1
Global Const DYN_UP = 2
Global Const DYN_DOWN = 3

'************************************************************************
' Meter definitions******************************************************
'************************************************************************
' needle types

Global Const NEEDLE_LINE = 0       ' simple line
Global Const NEEDLE_THICK = 1      ' thick lline with circle
Global Const NEEDLE_SHORTF = 2     ' triangle with base at center - filled
Global Const NEEDLE_SHORTH = 3     ' triangle with base at center - hollow
Global Const NEEDLE_LONGF = 4      ' triangle with back plane - filled
Global Const NEEDLE_LONGH = 5      ' triangle with back plane - hollow

Global Const MET_TICK_REG = 0
Global Const MET_TICK_THICK = 1
Global Const MET_TICK_TRIAG = 2

Global Const MET_NOBORDER = 0
Global Const MET_RECT = 1
Global Const MET_CIRC = 2
Global Const MET_RD_RECT = 3

'************************************************************************
' Dynamic label types ***************************************************
'************************************************************************
Global Const DLB_NUMERIC = 0
Global Const DLB_HMS = 1         ' time format, hh:mm:ss. Prec ignored
Global Const DLB_HM = 2          ' time format, hh:mm
Global Const DLB_MS = 4
 
' CONTROL STYLES
         ' logic
Global Const BC_STYLE_PUSH = 0              ' like standard push button
Global Const BC_STYLE_ONOFF = 1             ' 2 state
Global Const BC_STYLE_XOR = 2               ' radio button logic
Global Const BC_STYLE_PASSIVE = 3           ' cannot be pressed
         ' appearance
Global Const BC_LOOK_LOW = 0                ' standard pushbutton look
Global Const BC_LOOK_HIGH = 1               ' "deep" pushbutton
Global Const BC_LOOK_RADIO = 2              ' standard radio button
Global Const BC_LOOK_CHECK = 3              ' "deep" check box
Global Const BC_LOOK_LED = 4                ' LED

Global Const ST_LINEPLOT = 0
Global Const ST_BARGRAPH = 1
Global Const ST_SCATTERPLOT = 2

Global Const X_AXIS1 = 0
Global Const Y_AXIS1 = 1
Global Const X_AXIS2 = 2
Global Const Y_AXIS2 = 3

Global Const AXES1 = 0
Global Const AXES2 = 1

Global Const TITLE1 = 0
Global Const TITLE2 = 1
Global Const FOOTER = 2

Global Const NUMAXES = 4
Global Const NUMTITLES = 3

Global Const MINLOGSCALEVALUE = 1E-20

Global Const SIMPLE_XY_DATA_TYPE = 0
Global Const GROUP_DATA_TYPE = 1
Global Const PIECHART_DATA_TYPE = 2

Global Const SIMPLE_LEGEND = 0
Global Const GROUP_LEGEND = 1

Global Const RTMETER_NEEDLE = 0
Global Const RTMETER_ARC = 1
Global Const RTMETER_PIE = 2


Global Const CROSSHAIR_NONE = 0
Global Const CROSSHAIR_GRAPHAREA = 1
Global Const CROSSHAIR_PLOTAREA = 2
Global Const CROSSHAIR_SMALL = 3

Global Const DATACURSOR_DISABLED = 0
Global Const DATACURSOR_LEFTBUTTON = 1
Global Const DATACURSOR_RIGHTBUTTON = 2

Global Const SCROLLING_LINE_GRAPH = 0
Global Const SWEEP_GRAPH = 1
Global Const SCROLLING_BAR_GRAPH = 2
Global Const SCROLLING_STACKED_LINE_GRAPH = 3
Global Const SCROLLING_XY_GRAPH = 4
Global Const VARIABLE_SCROLLING_GRAPH = 5

Global Const LEGEND_BLACKTEXT = 0
Global Const LEGEND_COLORTEXT = 1

Global Const GRIDLINE_UPDATE_TIMER = 0
Global Const GRIDLINE_UPDATE_EVERY = 1
Global Const GRIDLINE_UPDATE_NEVER = 2

Global Const ALARMLINE_UPDATE_TIMER = 0
Global Const ALARMLINE_UPDATE_EVERY = 1
Global Const ALARMLINE_UPDATE_NEVER = 2


Global Const RGB_BLACK = &H0&
Global Const RGB_BLUE = &H800000             'RGB (  0,0,128)
Global Const RGB_GREEN = &H8000&           'RGB (  0,128,  0)
Global Const RGB_CYAN = &H808000           'RGB (  0,128,128)
Global Const RGB_RED = &H80&               'RGB (128,  0,  0)
Global Const RGB_MAGENTA = &H800080        'RGB (128,  0,128)
Global Const RGB_BROWN = &H8080&           'RGB (128,128,  0)
Global Const RGB_LIGHTGRAY = &HC0C0C0      'RGB (192,192,192)
Global Const RGB_GRAY = &H808080           'RGB (128,128,128)
Global Const RGB_LIGHTBLUE = &HFF0000      'RGB (  0,  0,255)
Global Const RGB_LIGHTGREEN = &HFF00&        'RGB (  0,255,  0)
Global Const RGB_LIGHTCYAN = &HFFFF00      'RGB (  0,255,255)
Global Const RGB_LIGHTRED = &HFF&          'RGB (255,  0,  0)
Global Const RGB_LIGHTMAGENTA = &HFF00FF   'RGB (255,  0,255)
Global Const RGB_YELLOW = &HFFFF&          'RGB (255,255,  0)
Global Const RGB_WHITE = &HFFFFFF          'RGB (255,255,255)
               ' for SVGA in 256 colors mode
Global Const RGB_PALEBLUE = &HF0CAA6        'RGB (166,202,240)
Global Const RGB_PALEGREEN = &HC0DCC0      'RGB (192,220,192)
Global Const RGB_MEDGRAY = &HA4A0A0        'RGB (160,160,164)
Global Const RGB_OFFWHITE = &HF0F6FF       'RGB (255,251,240)

Global Const FF_DECORATIVE = 80 '  Old English, etc.
Global Const FF_DONTCARE = 0    '  Don't care or don't know.
Global Const FF_MODERN = 48 ' Constant stroke width (serif or sans-serif
Global Const FF_ROMAN = 16  '  Variable stroke width, serifed.
Global Const FF_SCRIPT = 64 '  Cursive, etc.
Global Const FF_SWISS = 32  '  Variable stroke width, sans-serifed.
Global Const GMEM_MOVEABLE = &H2
Global Const GMEM_ZEROINIT = &H40
Global Const GHND = (GMEM_MOVEABLE Or GMEM_ZEROINIT)

Global Const LOGPIXELSX = 88    '  Logical pixels/inch in X
Global Const LOGPIXELSY = 90    '  Logical pixels/inch in Y
Global Const PS_DASH = 1    '  -------
Global Const PS_DASHDOT = 3 '  _._._._
Global Const PS_DASHDOTDOT = 4  '  _.._.._
Global Const PS_DOT = 2 '  .......
Global Const PS_INSIDEFRAME = 6
Global Const PS_NULL = 5
Global Const PS_SOLID = 0
'Text Alignment Constants

Global Const TA_LEFT = 0
Global Const TA_RIGHT = 2
Global Const TA_CENTER = 6
Global Const TA_TOP = 0
Global Const TA_BOTTOM = 8

Global Const TA_BASELINE = 24

' Basic window types
Global Const WS_OVERLAPPED = &H0
Global Const WS_POPUP = &H80000000
Global Const WS_CHILD = &H40000000

' Clipping styles
Global Const WS_CLIPSIBLINGS = &H4000000
Global Const WS_CLIPCHILDREN = &H2000000

' Generic window states
Global Const WS_VISIBLE = &H10000000
Global Const WS_DISABLED = &H8000000

' Main window states
Global Const WS_MINIMIZE = &H20000000
Global Const WS_MAXIMIZE = &H1000000

' Main window styles
Global Const WS_CAPTION = &HC00000               ' WS_BORDER | WS_DLGFRAME
Global Const WS_BORDER = &H800000
Global Const WS_VSCROLL = &H200000
Global Const WS_HSCROLL = &H100000

Global Const WS_SYSMENU = &H80000
Global Const WS_THICKFRAME = &H40000
Global Const WS_MINIMIZEBOX = &H20000
Global Const WS_MAXIMIZEBOX = &H10000




Global Const WM_DESTROY = &H2
Global Const SWP_NOMOVE = &H2
Global Const SWP_NOZORDER = &H4
         

'Global Const WM_LBUTTONDOWN = &H201
'Global Const WM_MBUTTONDOWN = &H207
'Global Const WM_RBUTTONDOWN = &H204
